Bug 438218 - Make temp queues for jms topics identifiable by topic name
Make temp queues for jms topics identifiable by topic name
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-java (Show other bugs)
All Linux
high Severity low
: ---
: ---
Assigned To: Arnaud Simon
Kim van der Riet
Depends On:
  Show dependency treegraph
Reported: 2008-03-19 14:44 EDT by Justin Ross
Modified: 2009-08-21 11:43 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-08-21 11:43:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Justin Ross 2008-03-19 14:44:28 EDT
The jms client creates temporary queues for messages sent using jms topics. 
These temporary queue names do not contain the jms topic names, so it's not
possible to tell which queues correspond to what topics in the mgmt console.

We ought to embed the topic name in the temporary queue name.  Carl posted a
proposal for this to qpid-list.
Comment 1 Alan Conway 2008-04-29 13:42:47 EDT
The customer wants to be able to use federation with temporary reply-to queues. 

An alternative approach would be to have federation links automatically created
for temporary reply-to queues.
Comment 2 Alan Conway 2008-04-30 09:34:58 EDT
Ignore comment #1 above, the federation issue is a separate bug:
Comment 3 Arnaud Simon 2008-05-06 11:40:18 EDT
We are now using the following format: 

<uuid> is a 36 character UUID string produced (for example) by
<binding-key> is a maximum of 207 single-byte characters from the
binding key used.
<exchange-name> is as many characters as possible from the name of the
exchange while still fitting into a 255 character queue-name. 

Note You need to log in before you can comment on or make changes to this bug.